Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 188884 - --charset charset
Summary: --charset charset
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tree
Version: 5
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2006-04-13 06:45 UTC by Mitsuaki Masuhara
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.5.0-5.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-12-15 12:32:05 UTC


Attachments (Terms of Use)

Description Mitsuaki Masuhara 2006-04-13 06:45:25 UTC
Description of problem:
# tree --charset US-ASCII
tree: Invalid argument -`'.
usage: tree [-adfgilnpqrstuxACDFNS] [-H baseHREF] [-T title ] [-L level [-R]]
        [-P pattern] [-I pattern] [-o filename] [--version] [--help] [--inodes]
        [--device] [--noreport] [--nolinks] [--dirsfirst] [--charset charset]
        [<directory list>]

# tree --charset=US-ASCII
works.

Version-Release number of selected component (if applicable):
tree-1.5.0-3.2.1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:

*** tree.c.org	Mon Aug 16 10:07:21 2004
--- tree.c	Thu Apr 13 15:07:58 2006
***************
*** 369,374 ****
--- 369,375 ----
  		}
  	      if (argv[n] != NULL)
  		charset=argv[n++];
+ 		break;
  	    }
  	  }
  	default:

Expected results:

add '--charset=charset' form in the usage message.

Additional info:


Note You need to log in before you can comment on or make changes to this bug.